package main

import (
	"fmt"
	"regexp"
	"strconv"
	"strings"
)

var reg = regexp.MustCompile("t=\\d+")

func ParseTemp() {

}

func parse(w1Out string) float64 {
	t := reg.FindString(w1Out)
	if t == "" {
		return 0
	}

	temp := strings.TrimLeft(t, "t=")

	f, err := strconv.ParseFloat(temp, 64)
	if err != nil {
		fmt.Printf("error parsing temperature %s: %s\n", temp, err)
		return 0
	}

	return f / 1000
}
